// This file is auto-generated by @hey-api/openapi-ts

import type { ResourceVersionResourceFileTreeResponse } from "./types.gen";

const fileTreeSchemaResponseTransformer = (data: any) => {
  if (data.contents) {
    data.contents = data.contents.map((item: any) => {
      return fileTreeSchemaResponseTransformer(item);
    });
  }
  return data;
};

export const resourceVersionResourceFileTreeResponseTransformer = async (
  data: any,
): Promise<ResourceVersionResourceFileTreeResponse> => {
  data = data.map((item: any) => {
    return fileTreeSchemaResponseTransformer(item);
  });
  return data;
};
